<div class="col-lg-12 animated fadeInRight">

  <div class="wrapper wrapper-content animated fadeInRight">
    <div class="row">
      <div class="col-lg-12">
        <div class="ibox float-e-margins">
          <div class="ibox-title">
            <h3>
              <strong>Customers Details</strong>
            </h3>
          </div>
          <div class="ibox-content">
            <div *ngIf="customerDetails?.tags" class="tags">
              <div *ngIf="customerDetails?.tags[0]?.tag" class="newTag">
                {{customerDetails?.tags[0]?.tag.replace('_', ' ')}}</div>
            </div>
            <div *ngIf="customerDetails?.referral_code_used" class="tags">
              <div class="newTag1">Referral used : {{customerDetails?.referral_code_used}}</div>
            </div>
            <div class="table table-responsive">
              <div class="col-md-3 customer_basic_details">
                <img src="assets/img/user.png" alt="Customers profile pic">
                <div class="customer_basic_rating">{{customeRatings | slice:0:3}}</div>
                <br>
                <div class="customer_basic">
                  <div class="customer_details">
                    <h4>{{customerDetails?.firstname}}</h4>
                    <div>{{customerDetails?.email}}
                      <span *ngIf="customerDetails?.is_email_verified == 1">
                        <img style="height:15px; width:15px;" src="assets/img/tick.png" alt="email">
                      </span>

                    </div>
                    <div>{{customerDetails?.country_code}} -
                      {{customerDetails?.phone_number ? customerDetails?.phone_number : 'NA'}}</div>
                  </div>
                  <div class="customer_pickup_details">
                    <h4 *ngIf="lastDrop">Last Pickup Point</h4>
                    <div>{{lastDrop}}</div>
                  </div>
                </div>
              </div>

              <div class="col-md-9">
                <div class="customer_outstanding_amt">
                </div>
                <div class="customer_details_container">
                  <div class="customer_details_half">
                    <div class="vehicles_used">
                      <span class="allotted_vehicle">Name <span>:</span></span>
                      <ng-container>
                        <span>{{customerDetails?.firstname ? customerDetails?.firstname : 'NA'}}</span>
                      </ng-container>
                    </div>
                    <div class="vehicles_used">
                      <span class="allotted_vehicle">Email <span>:</span></span>
                      <ng-container>
                        <span>{{customerDetails?.email ? customerDetails?.email : 'NA'}}</span>
                      </ng-container>
                    </div>
                    <div class="vehicles_used">
                      <span class="allotted_vehicle">Phone <span>:</span></span>
                      <ng-container>
                        <span>{{customerDetails?.country_code}} -
                          {{customerDetails?.phone_number ? customerDetails?.phone_number : 'NA'}}</span>
                      </ng-container>
                    </div>
                  </div>

                  <div class="customer_details_half">
                    <div class="vehicles_used">
                      <span class="allotted_vehicle">Date of birth <span>:</span></span>
                      <ng-container>
                        <span>{{customerDetails?.dob ? customerDetails?.dob : 'NA'}}</span>
                      </ng-container>
                    </div>
                    <div class="vehicles_used">
                      <span class="allotted_vehicle">Gender <span>:</span></span>
                      <ng-container>
                        <span>{{customerDetails?.gender ? customerDetails?.gender : 'NA'}}</span>
                      </ng-container>
                    </div>
                    <div class="vehicles_used">
                      <span class="allotted_vehicle">Date joined <span>:</span></span>
                      <ng-container>
                        <span>{{customerDetails?.created_at | date: 'MMM d, y, h:mm:ss a'}}</span>
                      </ng-container>
                    </div>

                  </div>
                </div>

                <div class="customer_details_container">
                  <div class="customer_details_full">
                    <div class="vehicles_used">
                      <span class="cust_device_name_section">Devices <span>:</span></span>
                      <ng-container>
                        <div class="cust_device_full_scroll">
                          <table aria-describedby="Customers Details 1" class="table table-striped table-bordered table-responsive">
                            <thead>
                              <tr>
                                <th scope="col">Device model</th>
                                <th scope="col">Device type</th>
                                <th scope="col">OS version</th>
                                <th scope="col">App version</th>
                                <th scope="col">Manufacturer</th>
                                <th scope="col">Last login</th>
                                <th scope="col">Action</th>
                              </tr>
                            </thead>
                            <tbody>
                              <tr *ngIf="customerDevices==''">
                                <div style="padding: 5px; text-align: center;">No Devices Available</div>
                              </tr>
                              <tr *ngFor="let device of customerDevices">
                                <td>
                                  <div>{{device.device_model}}</div>
                                </td>
                                <td>
                                  <div>{{device.device_type}}</div>
                                </td>
                                <td>{{device.os_version?device.os_version:'NA'}}</td>
                                <td>{{device.device_type!=='Android'?device.app_version?device.app_version:'NA':'NA'}}
                                </td>
                                <td>
                                  <div>{{device.manufacturer}}</div>
                                </td>
                                <td>
                                  <div>{{device.updated_at}}</div>
                                </td>
                                <ng-container *ngIf="!device.is_blocked || device.is_blocked == '0'">
                                  <td><button (click)="blockDevice(device);"
                                      class="btn btn-sm btn-primary red">Block</button></td>
                                </ng-container>
                                <ng-container *ngIf="device.is_blocked == '1'">
                                  <td><button (click)="blockDevice(device);"
                                      class="btn btn-sm btn-success">Un-Block</button></td>
                                </ng-container>
                              </tr>
                            </tbody>
                          </table>
                        </div>
                      </ng-container>
                    </div>
                  </div>


                </div>

                <div *ngIf="enablePromo && promocodes!=''" class="customer_details_container">
                  <div class="customer_details_full">
                    <div class="vehicles_used">
                      <span class="cust_device_name_section">Applicable Promocodes<span>:</span></span>
                      <ng-container>
                        <div class="cust_device_full_scroll">
                          <table aria-describedby="Customers Details 2" class="table table-striped table-bordered table-responsive">
                            <thead>
                              <tr>
                                <th scope="col">Name</th>
                                <th scope="col">Promocode</th>
                                <th scope="col">Validity</th>
                                <th scope="col">Max Discount</th>
                              </tr>
                            </thead>
                            <tbody>
                              <tr *ngIf="promocodes==''">
                                <div style="padding: 5px; text-align: center;">No Promocode Available</div>
                              </tr>
                              <tr *ngFor="let promo of promocodes">
                                <td>
                                  <div>{{promo.promo_name}}</div>
                                </td>
                                <td>
                                  <div>{{promo.promo_code}}</div>
                                </td>
                                <td>
                                  <div>{{promo.valid_from_date | date: 'MMM d, y, h:mm:ss a'}} to</div>
                                  <div>{{promo.valid_to_date | date: 'MMM d, y, h:mm:ss a'}}</div>
                                </td>
                                <td>
                                  <div>{{promo.maximum_discount_amount_upto}} AED</div>
                                </td>
                              </tr>
                            </tbody>
                          </table>
                        </div>
                      </ng-container>
                    </div>
                  </div>
                </div>

                <div *ngIf="enablePromo && completedPromoTrips!=''" class="customer_details_container">
                  <div class="customer_details_full">
                    <div class="vehicles_used" >
                      <span class="cust_device_name_section">Completed Promocodes Trips<span>:</span></span>
                      <ng-container>
                        <div class="cust_device_full_scroll">
                          <table aria-describedby="Customers Details 2" class="table table-striped table-bordered table-responsive">
                            <thead>
                              <tr>
                                <th scope="col">Order ID</th>
                                <th scope="col">Promocode</th>
                              </tr>
                            </thead>
                            <tbody>
                              <tr *ngIf="completedPromoTrips==''">
                                <div style="padding: 5px; text-align: center;">No Promocode Available</div>
                              </tr>
                              <tr *ngFor="let trips of completedPromoTrips">
                                <td>
                                  <div>{{trips.order_id.unique_order_id}}</div>
                                </td>
                                <td>
                                  <div>{{trips.promo_id.promo_code}}</div>
                                </td>
                              </tr>
                            </tbody>
                          </table>
                        </div>
                      </ng-container>
                    </div>
                  </div>
                </div>

                <div class="customer_details_container">
                  <div class="customer_details_full">
                    <div class="vehicles_used">
                      <span class="cust_device_name_section">Vehicles<span>:</span></span>
                      <ng-container *ngIf="customerDetails?.vehicle_types_db">
                        <div class="cust_device_full_scroll">
                          <table aria-describedby="Customers Details 3" class="table table-striped table-bordered table-responsive">
                            <thead>
                              <tr>
                                <th scope="col">Name</th>
                                <th scope="col">Seat Count</th>
                                <th scope="col">Description</th>
                              </tr>
                            </thead>
                            <tbody>
                              <tr *ngIf="!customerDetails?.vehicle_types_db">
                                <div style="padding: 5px; text-align: center;">No Vehicles Available</div>
                              </tr>
                              <tr *ngFor="let vehicles of customerDetails?.vehicle_types_db">
                                <td>
                                  <div>{{vehicles.name}}</div>
                                </td>
                                <td>
                                  <div>{{vehicles.seat_count}}</div>
                                </td>
                                <td>
                                  <div>{{vehicles.detailed_description}}</div>
                                </td>
                              </tr>
                            </tbody>
                          </table>
                        </div>
                      </ng-container>
                    </div>
                  </div>
                </div>

                <div class="customer_details_container">
                  <div class="customer_details_full">
                    <div class="vehicles_used">
                      <span class="cust_device_name_section">Favorite places<span>:</span></span>
                      <ng-container *ngIf="customerDetails?.favourite_places">
                        <div class="cust_device_full_scroll">
                          <table aria-describedby="Customers Details 4" class="table table-striped table-bordered table-responsive">
                            <thead>
                              <tr>
                                <th scope="col">Title</th>
                                <th scope="col">Category</th>
                                <th scope="col">Description</th>
                                <th scope="col">Latitude</th>
                                <th scope="col">Longitude</th>
                              </tr>
                            </thead>
                            <tbody>
                              <tr *ngIf="customerDetails?.favourite_places == ''">
                                <div style="padding: 5px; text-align: center;">No Favorite Places Available</div>
                              </tr>
                              <tr *ngFor="let fav of customerDetails?.favourite_places">
                                <td>
                                  <div>{{fav.title}}</div>
                                </td>
                                <td>
                                  <div>{{fav.category}}</div>
                                </td>
                                <td>
                                  <div>{{fav.description}}</div>
                                </td>
                                <td>
                                  <div>{{fav.latitude}}</div>
                                </td>
                                <td>
                                  <div>{{fav.longitude}}</div>
                                </td>
                              </tr>
                            </tbody>
                          </table>
                        </div>
                      </ng-container>
                    </div>
                  </div>
                </div>

                <div class="customer_details_container">
                  <div class="customer_details_full">
                    <div class="vehicles_used">
                      <span class="cust_device_name_section">Saved Cards<span>:</span></span>
                      <ng-container *ngIf="customerDetails?.customer_saved_cards">
                        <div class="cust_device_full_scroll">
                          <table aria-describedby="Customers Details 4" class="table table-striped table-bordered table-responsive">
                            <thead>
                              <tr>
                                <th scope="col">Card Type</th>
                                <th scope="col">Card Digits</th>
                                <th scope="col">Created Date</th>
                              </tr>
                            </thead>
                            <tbody>
                              <tr *ngIf="customerDetails?.customer_saved_cards == ''">
                                <div style="padding: 5px; text-align: center;">No Saved Cards Available</div>
                              </tr>
                              <tr *ngFor="let fav of customerDetails?.customer_saved_cards">
                                <td>
                                  <div>{{fav.card_type}}</div>
                                </td>
                                <td>
                                  <div>{{fav.card_digits}}</div>
                                </td>
                                <td>
                                  <div>{{fav.created_at | date: 'MMM d, y, h:mm:ss a'}}</div>
                                </td>
                              </tr>
                            </tbody>
                          </table>
                        </div>
                      </ng-container>
                    </div>
                  </div>
                </div>

                <div class="customer_previous_trips">
                  <h4>Previous Trips</h4>
                  <div class="table-responsive">
                    <table aria-describedby="Customers Details 5" class="table table-striped table-bordered table-responsive">
                      <thead>
                        <tr>
                          <th scope="col">Pickup</th>
                          <th scope="col">Drop</th>
                          <th scope="col">Basic details</th>
                          <th scope="col">Trip details</th>
                          <th scope="col" style="width: 10%;">Price</th>
                        </tr>
                      </thead>
                      <tbody>
                        <div class="loading_div" *ngIf="searchSubmit">
                          <img src="assets/img/loader.gif" class="loading_indic"alt="my DTC" />
                        </div>
                        <tr *ngFor="let order of userOrders ">
                          <td>{{order?.pickup_location}} <br><span *ngIf="order?.start_time">Time:
                          <strong>{{order?.start_time}}</strong></span> </td>
                          <td><strong>{{order?.drop_location}}</strong> <br><span *ngIf="order?.end_time">Time: <strong>{{order.end_time}}</strong></span>
                          </td>
                          <td>Driver : <strong>{{order.driver_id?.display_name}}</strong> <br>Driver Id :
                          <strong>{{order.driver_id?.username}}</strong>
                          </td>
                          <td>Order created at: <br> <strong>{{formatDate(order.created_at)}}</strong> <br> Order Id:
                            <strong>{{order.unique_order_id}}</strong> <br>Generated by: <strong>{{order.generate_by}}</strong> <br>Status:
                            <strong>{{order.order_status.replace('_', ' ')}}</strong></td>
                          <td style="width:10%">{{order.price}}<strong> AED</strong><br> 
                            Paid with:<strong> {{order.payment_type == '4' ? 'Card' : 'Cash' }}</strong>
                          </td>
                        </tr>
                      </tbody>
                    </table>
                  </div>
                  <div class="container-fluid" *ngIf="orderTotal>0">
                    <div class="row col-md-12 text-center">
                      <div class="dataTables_info1">
                        <ngb-pagination [collectionSize]="orderLength" (pageChange)="pagingAgent($event)" [page]="1"
                          [pageSize]="pageSize" aria-label="Default pagination" [maxSize]="5" [boundaryLinks]="true">
                        </ngb-pagination>
                      </div>
                    </div>
                  </div>
                  <div class="container-fluid" *ngIf="orderTotal==0">
                    <div class="row">
                      <div class="dataTables_info1">
                        <div class="col-md-4 form-group" style="text-align:center;margin-left:32%">
                          No records found.
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>